#!/bin/bash
# last update: 2024-3-22
#
# 2024-3-12 version 0.12 > 0.13
# 2024-3-22 fix bug

cd /usr/local/src
wget https://launchpad.net/safe-rm/trunk/0.13/+download/safe-rm-0.13.tar.gz
tar zxvf safe-rm-0.13.tar.gz
/bin/cp -f /usr/local/src/safe-rm-0.13/safe-rm /usr/local/bin/safe-rm
ln /usr/local/bin/safe-rm /usr/local/bin/rm

# 避免使用LDAP身份登入切換成root，因為環境變數關係造成 safe-rm 指令失效
sed -i '/alias rm/d' /root/.bashrc
echo "alias rm='/usr/local/bin/rm -i'" >> /root/.bashrc
source /root/.bashrc

touch /etc/safe-rm.conf
cat << EOF > /etc/safe-rm.conf
/etc/safe-rm.conf
/
/backup
/bin
/boot
/dev
/etc
/home
/home2
/lib
/lib32
/lib64
/mnt
/opt
/proc
/root
/sbin
/scripts
/srv
/sys
/tmp
/usr
/var
/var/lib/mysql
/var/named
/backup/
/bin/
/boot/
/dev/
/etc/
/home/
/home2/
/lib/
/lib32/
/lib64/
/mnt/
/opt/
/proc/
/root/
/sbin/
/scripts/
/srv/
/sys/
/tmp/
/usr/
/var/
/var/lib/mysql/
/var/named/
EOF
